// Set up the SVG element
const svg = d3.select("#worldmap");

// Define the projection for the world map
const projection = d3.geoNaturalEarth1()
    .scale(200)
    .translate([400, 300]);

// Create a path generator using the projection
const path = d3.geoPath()
    .projection(projection);

// Load the GeoJSON data for world countries
d3.json("https://raw.githubusercontent.com/johan/world.geo.json/master/countries.geo.json")
    .then(data => {
        // Draw the world map using the GeoJSON data
        svg.selectAll("path")
            .data(data.features)
            .enter()
            .append("path")
            .attr("d", path)
            .attr("fill", "lightgray") // Color for the map
            .attr("stroke", "white") // Border color for the map
            .attr("stroke-width", 0.5); // Border width for the map
    })
    .catch(error => console.error("Error loading GeoJSON data:", error));
